# PublicAssets

API Documentation: | `PublicAssets`

Note: This class is incubating and may change in a future version of Gradle.

A set of public assets added to a binary.

### Properties

Property | Description
`assetDirs` | Incubating A set of asset directories for this binary.
`buildDependencies` | Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.
`buildTask` | Incubating The 'lifecycle' task associated with the construction of this element.

### Methods

Method | Description
`addAssetDir(resourceDir)` | Incubating Add an asset directory to this binary.
`builtBy(tasks)` | Incubating Adds a task that is required for the construction of this element. A task added this way is then added as a dependency of the associated lifecycle task.

### Script blocks

No script blocks

### Property details

#### ``Set`<`File`>` `assetDirs` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

A set of asset directories for this binary.

#### `TaskDependency` `buildDependencies` (read-only)

Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.

#### `Task` `buildTask`

Note: This property is incubating and may change in a future version of Gradle.

The 'lifecycle' task associated with the construction of this element.

### Method details

#### `void` `addAssetDir`(`File` resourceDir)

Note: This method is incubating and may change in a future version of Gradle.

Add an asset directory to this binary.

#### `void` `builtBy`(``Object`...` tasks)

Note: This method is incubating and may change in a future version of Gradle.

Adds a task that is required for the construction of this element. A task added this way is then added as a dependency of the associated lifecycle task.